package net.wanji.web.service;

import net.wanji.web.bo.*;
import net.wanji.web.vo.specialService.RouteElementVO;
import net.wanji.web.vo.specialService.*;

import java.util.List;
import java.util.Set;

/**
 * @author Kent HAN
 * @date 2022/11/8 11:06
 */
public interface SpecialServiceService {
    void addOrUpdateSpecialService(AddSpecialServiceBO addSpecialServiceBO);

    List<ListSpecialServicesVO> listSpecialServices();

    void updateSpecialService(UpdateSpecialServiceBO updateSpecialServiceBO);

    void deleteSpecialService(Integer id);

    void updateCross(UpdateCrossInVO updateCrossInVO);

    void deleteCross(DeleteCrossInVO deleteCrossInVO);

    Set<String> crossInList(String crossId);

    List<List<RouteElementVO>> specialServiceRoute(SpecialServiceRouteBO specialServiceRouteBO);

    void isValidPoint(IsValidPointBO isValidPointBO);

    SpecialServiceDetailVO specialServiceDetail(SpecialServiceIdBO specialServiceIdBO);

    void updateSpecialServiceDetail(UpdateSpecialServiceBO updateSpecialServiceBO);

    List<String> getInDirList(CrossIdVO crossIdVO);

    List<String> getOutDirList(CrossIdVO crossIdVO);
}
